package com.ruoyi.ibs.list.domain;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum PushStatusEnum {

    unPushed("0","未推送"),

    pushSuccess("1","已推送"),

    pushFailed("2","推送失败");

    private final String code;

    private final String desc;

  public static String getDesc(String code) {
    for (PushStatusEnum pushStatusEnum : PushStatusEnum.values()) {
      if (pushStatusEnum.getCode().equals(code)) {
          return pushStatusEnum.getDesc();
      }
    }
      return null;
  }
}
